
%if 0%{?fedora} > 4
%define _with_mp4 1
%endif

Summary: A library for creating MusicBrainz enabled tagging applications 
Name:	 libtunepimp
Version: 0.5.3
Release: 11%{?dist}

License: LGPLv2+
Group: 	 System Environment/Libraries
URL:	 http://musicbrainz.org/doc/libtunepimp
# see http://musicbrainz.org/doc/libtunepimpDownload
Source0: http://ftp.musicbrainz.org/pub/musicbrainz/libtunepimp-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Patch1: libtunepimp-0.5.3-gcc43.patch

%define pkglibdir %{_libdir}/tunepimp

BuildRequires: automake libtool
BuildRequires: flac-devel
%{?_with_mp4:BuildRequires: libmp4v2-devel}
BuildRequires: libmpcdec-devel
BuildRequires: libmusicbrainz-devel >= 2.1.0
BuildRequires: libofa-devel curl-devel expat-devel
BuildRequires: libvorbis-devel
BuildRequires: python-devel
BuildRequires: readline-devel ncurses-devel
BuildRequires: taglib-devel 
BuildRequires: zlib-devel

%if 0%{?_with_mp4:1}
Provides:  libtunepimp-mp4 = %{version}-%{release}
%endif

Obsoletes: libtunepimp-tools < %{version}-%{release}
Provides:  libtunepimp-tools = %{version}-%{release}

%if "%{name}" == "libtunepimp"
Obsoletes: libtunepimp5 < %{version}-%{release}
Provides:  libtunepimp5 = %{version}-%{release}
%endif

%description
The TunePimp library is a development library geared towards developers 
who wish to create MusicBrainz enabled tagging applications.

%package devel
Summary: Headers for developing programs that will use %{name} 
Group:   Development/Libraries
Requires: %{name} = %{version}-%{release}
%if "%{name}" == "libtunepimp"
Provides:  libtunepimp5-devel = %{version}-%{release}
%else
Conflicts: libtunepimp-devel
%endif
%description devel
%{summary}.

%{!?python_sitelib:%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%package -n python-tunepimp
Summary: Python bindings for developing programs that will use %{name} 
Group:   Development/Libraries
%define python_ver %(%{__python} -c "import sys ; print sys.version[:3]")
%description -n python-tunepimp
%{summary}.


%prep
%setup -q -n libtunepimp-%{version}

%patch1 -p1 -b .gcc43

# nuke rpath
autoreconf


%build
%configure \
  --disable-static \
  --disable-dependency-tracking \
  --enable-lgpl

make %{?_smp_mflags} PLUGIN_DIR=%{pkglibdir}/plugins

pushd python
%{__python} setup.py build 
popd


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT PLUGIN_DIR=%{pkglibdir}/plugins

pushd python
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
popd

# unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.la
%{!?_with_mp4:rm -f  $RPM_BUILD_ROOT%{pkglibdir}/plugins/mp4.tpp}


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog TODO 
# README omitted, it's mostly useless
%doc README.LGPL
%{_bindir}/puid
%{_libdir}/lib*.so.*
%dir %{pkglibdir}/
%dir %{pkglibdir}/plugins/
%{pkglibdir}/plugins/flac.tpp
%{?_with_mp4:%{pkglibdir}/plugins/mp4.tpp}
%{pkglibdir}/plugins/mpc.tpp
%{pkglibdir}/plugins/speex.tpp
%{pkglibdir}/plugins/vorbis.tpp
%{pkglibdir}/plugins/tta.tpp
%{pkglibdir}/plugins/wav.tpp
%{pkglibdir}/plugins/wma.tpp
%{pkglibdir}/plugins/wv.tpp

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/lib*.so

%files -n python-tunepimp
%defattr(-,root,root,-)
%doc python/examples/trm.py
%{python_sitelib}/tunepimp*


%changelog
* Thu Feb 21 2008 Rex Dieter <rdieter@fedoraproject.org> 0.5.3-11
- gcc43 patch
- include mp4 plugin here

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.5.3-10
- Autorebuild for GCC 4.3

* Sat Aug 25 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.5.3-9
- respin (BuildID)

* Sat Aug 11 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.5.3-8
- License: LGPLv2+

* Fri Jun 22 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.5.3-7
- fix URL (#245283)

* Wed Jun 14 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.5.3-6
- go back to unversioned BR: libmpcdec-devel

* Wed Jun 14 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.5.3-5
- respin (again for libmpcdec), BR: libmpcdec-devel >= 1.2.6 (#244228)

* Wed Jun 06 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.5.3-4
- respin (for libmpcdec)

* Wed Feb 14 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 0.5.3-3
- respin (for flac)

* Fri Dec 08 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.5.3-2
- respin (for python)

* Wed Nov 29 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.5.3-1
- libtunepimp-0.5.3

* Tue Oct 31 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.5.2-4
- respin for curl update (fc7)

* Thu Oct 12 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.5.2-3
- rename python-libtunepimp -> python-tunepimp (to match python
  module name)

* Mon Oct 09 2006 Alex Lancaster <alexl[AT]users.sf.net> 0.5.2-2
- build python-libtunepimp subpackage (#209961)

* Mon Oct 02 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.5.2-1
- libtunepimp-0.5.2

* Tue Sep 26 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.5.1-2
- drop -tools subpkg

* Thu Sep 14 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.5.1-1
- PLUGIN_DIR patch, fix lib64 issues, make parallel-installable
  with libtunepimp-0.4

* Thu Aug 31 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.4.3-3
- BR: taglib-devel, readline-devel, ncurses-devel

* Tue Aug 29 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.4.3-2
- 0.4.3

* Tue Jul 11 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.4.2-4
- BR: ncurses-devel

* Mon Jul 10 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.4.2-3
- drop ancient,deprecated Obsoletes/Provides: trm
- fix buffer overflow (bug #198195)
- License: LGPL, we're omitting the non-lgpl bits

* Thu Mar 16 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.4.2-1
- 0.4.2

* Wed Mar 1 2006 Rex Dieter <rexdieter[AT]users.sf.net>
- fc5: gcc/glibc respin

* Mon Dec 19 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.4.0-5
- update gcc4 patch

* Mon Dec 19 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.4.0-4
- -tools: fix Req: %%name dependancy

* Mon Nov 28 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.4.0-3
- -tools: split out %%_bindir bits (to be multi-arch friendly)

* Sat Nov 19 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.4.0-2
- BR: libmusicbrainz -> libmusicbrainz-devel
- BR: libogg-devel -> libvorbis-devel
- BR: zlib-devel

* Thu Nov 17 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.4.0-1
- 0.4.0
- built with --enable-lgpl which omits mp3 plugin bits

* Mon Jun 13 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.3.0-1
- gcc4 patch
- 0.3.0 (first try)

